/* ===== RESET ===== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Inter, Arial, sans-serif;
}
body {
  background: #0b0b0b;
  color: #fff;
  overflow-x: hidden;
}

/* ===== HEADER ===== */
header {
  position: fixed;
  top: 0;
  width: 100%;
  height: 72px;
  display: flex;
  align-items: center;
  padding: 0 32px;
  gap: 24px;
  backdrop-filter: blur(20px);
  background: transparent;
  transition: background 0.4s ease, backdrop-filter 0.4s ease;
  z-index: 1000;
}

header.scrolled {
  background: rgba(0,0,0,0.6);
  backdrop-filter: blur(20px);
}


/* botão imagem */
.menu-btn {
  width: 40px;
  height: 40px;
  background: url("menu.png") center/cover no-repeat;
  border: none;
  cursor: pointer;
}

.menu-btn img {
  width: 100px;
  height: 100%;
  object-fit: contain;
}

/* painel do menu */
.menu-panel {
  position: fixed;
  top: 72px;
  left: 0;
  width: 100%;
  height: 300px;
  background: #111;
  transform: translateY(-120%);
  transition: transform 0.4s ease;
  padding: 40px;
}
.menu-panel.open {
  transform: translateY(0);
}

/* logo */
.logo {
  width: 150px;
  margin-right: -60px;
  margin-top: 10px;
  font-size: 22px;
  cursor: pointer;
}

.logo img {
  height: 60px;
  width: 100%;
  object-fit: contain;
}

/* nav */
nav {
  display: flex;
  gap: 24px;
}
nav a {
  text-decoration: none;
  color: #ccc;
  font-size: 14px;
}
nav a:hover {
  color: #fff;
  text-decoration: underline;
  text-decoration-color: red;
  text-decoration-thickness: 3px;
}

/* idioma */
.lang {
  cursor: pointer;
  position: relative;
}
.lang-panel {
  position: absolute;
  top: 40px;
  background: #111;
  padding: 10px;
  display: none;
}
.lang-panel button {
  background: none;
  border: none;
  color: #fff;
  cursor: pointer;
  display: block;
  padding: 6px;
}

/* auth */
.auth {
  margin-left: auto;
  display: flex;
  gap: 16px;
  align-items: center;
}

.auth button {
  padding: 10px 16px;
  border: none;
  cursor: pointer;
  border-radius: 4px;
}

.login {
  background: rgba(128,128,128,0.5);
  color: #fff;
}

.download {
  background: #ff2b2b;
  color: #fff;
}

/* PAGE FADE */
.page-fade {
  position:fixed; inset:0;
  background:#000;
  z-index:999;
  animation: fadeOut 1s forwards;
}

@keyframes fadeOut {
  to { opacity:0; pointer-events:none; }
}

/* HERO */
.hero {
  position:relative;
  height:100vh;
}

.hero video {
  width:100%;
  height:100%;
  object-fit:cover;
}

.hero-overlay {
  position:absolute;
  inset:0;
  display:flex;
  flex-direction:column;
  justify-content:center;
  align-items:center;
  background:rgba(0,0,0,0.5);
  text-align:center;
}

.hero-logo {
  width: 450px;
  height: 300px;
  margin-bottom: -80px;
}

.hero-desc {
  font-size: 20px;
  font-weight: 700;
  color: #fff;
  max-width: 480px;
  line-height: 1.4;
}

.btn-primary {
  position: relative;
  padding: 16px 42px;
  font-size: 16px;
  font-weight: 700;
  color: #fff;
  background: linear-gradient(135deg, #ff1a1a, #b30000);
  border: 1px solid rgba(255,255,255,0.3);
  border-radius: 8px;
  cursor: pointer;
  backdrop-filter: blur(6px);
  box-shadow: 0 0 25px rgba(255,0,0,0.35);
  transition: all 0.3s ease;
}

.btn-primary:hover {
  transform: translateY(-4px);
  box-shadow: 0 0 45px rgba(255,0,0,0.7);
}

.btn-primary {
  background:red;
  border:none;
  padding:14px 30px;
  font-weight:bold;
  cursor:pointer;
}

.btn-outline {
  background: linear-gradient(135deg, #0b5192, #ffffff);
  border: 1px solid rgba(255,255,255,0.3);
  border-radius: 8px;
  color: white;
  padding:14px 30px;
  font-weight:bold;
  cursor:pointer;
  backdrop-filter: blur(6px);
  box-shadow: 0 0 25px rgba(27, 144, 180,0.35);
  transition: all 0.3s ease;
  text-transform: uppercase;
}

.hero-buttons span {
  font-size: 14px;
  opacity: 0.8;
}

.hero-pc {
  width: 260px;
  margin-top: 20px;
}

.about {
  text-align: center;
}

.about h2 {
  font-size: 48px;
  text-transform: uppercase;
  font-weight: 800;
  margin-top: -200px;
  margin-bottom: 60px;
}

.about-news {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  gap: 30px;
  height: 300px;
  width: 300px;
}

.about-news .news {
  background-size: cover;
  background-position: center;
  padding: 40px;
  border-radius: 12px;
  background-color: #111;
  height: 200px;
  width: 300px;
}

.news:nth-child(1) {
  background-image: url('Pastas/imgs/games/Veyra/VeyraImgBeta2.jpeg');
}

.news:nth-child(2) {
  background-image: url('Pastas/imgs/games/Veyra/CapaGame.png');
}

.news:nth-child(3) {
  background-image: url('Pastas/imgs/games/Veyra/VeyraImgBeta.jpeg');
}

.about-news .news h3 {
  margin-top: 180px;
  font-size: 22px;
  font-weight: 700;
}

.about-news .news p {
  opacity: 0.85;
}

.agents h2 {
  font-size: 44px;
  font-weight: 800;
  margin-bottom: 0px;
  width: 500px;
  text-transform: uppercase;
}

.agents p {
  opacity: 0.8;
  margin-bottom: 0px;
  width: 450px;
}

.agent-info {
  display: flex;
  gap: 20px;
}

.agent-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.agent-image {
  width: 420px;
  margin-top: 100px;
}

.agent-icons {
  display: flex;
  gap: 30px;
  margin-top: 0px;
}

.agent-icons div {
  text-align: center;
  cursor: pointer;
}

.agent-icons img {
  width: 64px;
  transition: transform 0.2s ease;
}

.agent-icons img:hover {
  transform: scale(1.1);
}

.news-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.news-card {
  background: #111;
  border-radius: 12px;
  overflow: hidden;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.news-card:hover {
  transform: translateY(-8px);
}

.news-card img {
  width: 100%;
  height: 180px;
  object-fit: cover;
}

.news-card .news-content {
  padding: 20px;
}

.news-card .news-content h3 {
  font-size: 20px;
  margin-bottom: 10px;
}

.news-card .news-content p {
  font-size: 14px;
  opacity: 0.8;
}

/* SEÇÕES */
section { padding:100px 10%; }

/* TRAILER */
.trailer {
  display:flex;
  align-items:center;
  gap:60px;
}

.trailer-img { width:50%; }

/* GALERIA */
.gallery-main { width:100%; margin-bottom:20px; }

.gallery-thumbs img {
  width:100px;
  margin-right:10px;
  cursor:pointer;
  border:2px solid transparent;
}

.gallery-thumbs img.active {
  border-color:#000;
}

/* FOOTER */
.footer {
  display: flex;
  flex-direction: column;
  background: #111;
  padding: 40px 10%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footer-logo {
  width: 150px;
  height: 150px;
  object-fit: contain;
  margin-bottom: 20px;
}

.socials a {
  background-color: transparent;
  margin-left: 20px;
  text-decoration: none;
  width: 30px;
  height: 30px;
}

.socials a img {
  width: 30px;
  height: 30px;
  object-fit: contain;
  margin-top: -30px;
  margin-bottom: 30px;
}

.footer-links {
  display: flex;
  gap: 20px;
  margin-bottom: 20px;
}

.footer-links a {
  color: #ccc;
  text-decoration: none;
  margin-top: 30px;
  margin-bottom: 30px;
}

.footer-links a:hover {
  text-decoration: underline;
  text-decoration-color: red;
  text-decoration-thickness: 2px;
}

p {
  font-size: 14px;
  color: #666;
}

/* RESPONSIVO */
@media (max-width: 768px) {
  .about-news {
    grid-template-columns: 1fr;
    height: auto;
  }
  .trailer {
    flex-direction: column;
  }
  .trailer-img {
    width: 100%;
  }
  .agent-content {
    flex-direction: column;
    gap: 30px;
  }
}

.duckzrstudios-rating {
    display: flex;
    align-items: center;
    bottom: 20px;
    right: 20px;
    background: rgba(0,0,0,0.6);
    color: #fff;
    padding: 10px 16px;
    border-radius: 8px;
    font-size: 14px;
    backdrop-filter: blur(6px);
    box-shadow: 0 0 15px rgba(0,0,0,0.3);
}

.duckzrstudios-rating h4 {
    margin: -7px 10px;
    text-transform: uppercase;
}

.duckzrstudios-select {
    border: none;
    background-color: white;
    border-radius: 10px;
    width: 150px;
    height: 35px;
    text-transform: uppercase;
    margin-bottom: 50px;
}

.duckzrstudios-select:hover {
    
}